Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::io::IFileArchive Class Reference

The FileArchive manages archives and provides access to files inside them. More...

`#include <IFileArchive.h>`

Inheritance diagram for irr::io::IFileArchive:

List of all members.

## Public Member Functions
virtual IReadFile * | createAndOpenFile (u32 index)=0
| Opens a file based on its position in the file list.
virtual IReadFile * | createAndOpenFile (const path &filename)=0
| Opens a file based on its name.
virtual const IFileList * | getFileList () const =0
| Returns the complete file tree.
virtual E_FILE_ARCHIVE_TYPE | getType () const
| get the archive type

## Detailed Description

The FileArchive manages archives and provides access to files inside them.

Definition at line 47 of file IFileArchive.h.

## Member Function Documentation

virtual IReadFile* irr::io::IFileArchive::createAndOpenFile | ( | u32 | index | ) | `[pure virtual]`

Opens a file based on its position in the file list.

Creates and returns

Parameters:

  | index | The zero based index of the file.

Returns:
  Returns a pointer to the created file on success, or 0 on failure.

virtual IReadFile* irr::io::IFileArchive::createAndOpenFile | ( | const path & | filename | ) | `[pure virtual]`

Opens a file based on its name.

Creates and returns a new IReadFile for a file in the archive.

Parameters:

  | filename | The file to open

Returns:
  Returns A pointer to the created file on success, or 0 on failure.

virtual const IFileList* irr::io::IFileArchive::getFileList | ( |  | ) | const`[pure virtual]`

Returns the complete file tree.

Returns:
  Returns the complete directory tree for the archive, including all files and folders

virtual E_FILE_ARCHIVE_TYPE irr::io::IFileArchive::getType | ( |  | ) | const`[inline, virtual]`

get the archive type

Definition at line 70 of file IFileArchive.h.

References irr::io::EFAT_UNKNOWN.

The documentation for this class was generated from the following file:

- IFileArchive.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:12 2010 by Doxygen (1.5.6)